Bug 2753 - update don't works
: update don't works
Status: RESOLVED INVALID
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 14:25 MSD by Giorgio
Modified: 2013-11-08 23:23 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giorgio 2013-10-08 14:25:36 MSD
Description of problem:update in new installation don't works 


Version-Release number of selected component (if applicable):Desktop Fresh 2012.1


How reproducible: ever


Steps to Reproduce:
1. install using ROSA.FRESH.KDE.R1.x86_64.iso in USB key
2. set network connection and proxy 
3. search for updates Configure your desktop → System administration → Update your system
4. first update
- lib64rpm5.4-5.4.10-17-rosa2012.1.x86_64 
- mdkonline-2.77.27-1-rosa2012.1.noarch 
- perl-URPM-4.43-21-rosa2012.1.x86_64 
- rpm-5.4.10-17-rosa2012.1.x86_64 
- rpmdrake-5.26.12-31-rosa2012.1.noarch 
- urpmi-6.71-37-rosa2012.1.noarch

5. searching for update again give second group
- lib64systemd-daemon0-194-26-rosa2012.1.x86_64 
- lib64systemd-id1280-194-26-rosa2012.1.x86_64 
- lib64systemd-journal0-194-26-rosa2012.1.x86_64 
- lib64systemd-login0-194-26-rosa2012.1.x86_64 
- systemd-194-26-rosa2012.1.x86_64 
- systemd-sysvinit-194-26-rosa2012.1.x86_64 
- udev-194-26-rosa2012.1.x86_64

6. reboot as asked for udev
7. searching for update again, start download and suddenly it stops. Noway to update.
Comment 1 Denis Silakov 2013-10-08 14:29:58 MSD
Could you run "urpmi --auto-update" in console and see what happens there?

If something is wrong, then please provide output of "urpmi --debug --auto-update".
Comment 2 Giorgio 2013-10-08 21:34:05 MSD
1) first attempt with urpmi --auto-update
update begin and download several packet, after several minutes stops, these are the last rows displayed:
 $MIRRORLIST: media/main/updates/lib64streams0-0.7.7-5-rosa2012.1.x86_64.rpm
    $MIRRORLIST: media/main/updates/tomcat5-servlet-2.4-api-5.5.35-1-rosa2012.1.noarch.rpm
    $MIRRORLIST: media/main/updates/libkdegames-common-4.10.5-1-rosa2012.1.noarch.rpm
error: /var/cache/urpmi/partial/libkdegames-common-4.10.5-1-rosa2012.1.noarch.rpm: Lead: lead magic: BAD, read 3c48544d

2) tried again the command  urpmi --auto-update
it ask to install 745 packets, it means that only 15 has been installed

3) I removed libkdegames-common using GUI

4) second attempt with urpmi --auto-update
shortly after it stops, these are the last rows displayed:

$MIRRORLIST: media/main/updates/lshw-2.16-2-rosa2012.1.x86_64.rpm                                                                                                             
    $MIRRORLIST: media/main/updates/lib64systemsettingsview2-4.10.5-1-rosa2012.1.x86_64.rpm                                                                                       
    $MIRRORLIST: media/main/updates/lib64kdegames6-4.10.5-1-rosa2012.1.x86_64.rpm                                                                                                 
error: /var/cache/urpmi/partial/lib64kdegames6-4.10.5-1-rosa2012.1.x86_64.rpm: Lead: lead magic: BAD, read 3c48544d

5) I removed lib64kdegames6

6) third attempt with urpmi --auto-update
update starts, download more than 700 packets and then install all of them.

It seems that command line update works, GUI don't. 
The packets libkdegames-common lib64kdegames6 cannot be updated, this is not new at all for me. It happens quite often but usually it don't prevent update. To complete update is necessary removing both.
Comment 3 Denis Silakov 2013-10-09 11:37:10 MSD
It seems that you have received broken rpm packages.

You can try to clean urpmi cache:

rm -f /var/cache/urpmi/partial/*rpm
rm -f /var/cache/urpmi/rpms/*rpm

And then try to install lib64kdegames6 and libkdegames-common.

It would be also nice to know which mirror do you use, please provide output of

urpmq --sources libkdegames-common
Comment 4 Giorgio 2013-10-10 17:49:46 MSD
(In reply to comment #3)
Cleaned urpmi cache 

> And then try to install lib64kdegames6 and libkdegames-common.

Using GUI:
1) searching for lib64kdegames6 I found two versions: 4.10.5 and 4.9.4. I select 4.10.5 -> Apply -> Yes
2) installation seems completed in less than one second and 4.10.5 is still selected so it seems installed
3) closing and reopening "Install and Remove Software" shows lib64kdegames6 non installed
Then GUI don't works correctly.

Using command line:
# urpmi lib64kdegames6
I pacchetti lib64kdeui5-4.10.5-1-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64qtgui4-4.8.5-6-rosa2012.1.x86_64, lib64knewstuff3_4-4.10.5-1-rosa2012.1.x86_64, lib64qtsvg4-4.8.5-6-rosa2012.1.x86_64, lib64qtxml4-4.8.5-6-rosa2012.1.x86_64, lib64qtcore4-4.8.5-6-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64openal1-1.15.1-3-rosa2012.1.x86_64, lib64sndfile1-1.0.25-5-rosa2012.1.x86_64, lib64kdecore5-4.10.5-1-rosa2012.1.x86_64, lib64kio5-4.10.5-1-rosa2012.1.x86_64 sono già installati
Se segni lib64kdegames6 come installato manualmente, non diventerà «auto-orphaned»
writing /var/lib/rpm/installed-through-deps.list
    $MIRRORLIST: media/main/updates/lib64kdegames6-4.10.5-1-rosa2012.1.x86_64.rpm
error: /var/cache/urpmi/partial/lib64kdegames6-4.10.5-1-rosa2012.1.x86_64.rpm: Lead: lead magic: BAD, read 3c48544d


> It would be also nice to know which mirror do you use, please provide output
> of
> 
> urpmq --sources libkdegames-common

# urpmq --sources libkdegames-common
ftp://ftp.cc.uoc.gr/mirrors/linux/rosa/rosa2012.1/repository/x86_64/media/main/updates/libkdegames-common-4.10.5-1-rosa2012.1.noarch.rpm
http://mirror.rosalab.ru/rosa2012.1/repository/i586/main/updates/libkdegames-common-4.10.5-1-rosa2012.1.noarch.rpm

These are "original" repos added during installation, I don't changed or added any repo. 

For me problem coming from "game" packages are not new at all. I had similar problems with Mandriva. 
Now is worster because they are blocking update, also using command line.
Comment 5 Denis Silakov 2013-10-11 12:01:49 MSD
Interesting, I can install both files from mirror.rosalab.ru and from ftp.cc.uoc.gr. Maybe this was a transient failure (mirror became out of sync?). I woul also recommend to invoke "urpmi.update updates" to update the metadata.
Comment 6 Giorgio 2013-10-12 15:31:01 MSD
(In reply to comment #5)
> Interesting, I can install both files from mirror.rosalab.ru and from
> ftp.cc.uoc.gr. Maybe this was a transient failure (mirror became out of
> sync?). I woul also recommend to invoke "urpmi.update updates" to update the
> metadata.

# urpmi.update updates
    $MIRRORLIST: media/main/updates/media_info/synthesis.hdlist.cz
supporto "main updates" aggiornato  (aggiornato = updated)               
    $MIRRORLIST: media/contrib/updates/media_info/synthesis.hdlist.cz
supporto "contrib updates" aggiornato (aggiornato = updated)     
il supporto "non-free updates" risulta già aggiornato (aggiornato = updated)
il supporto "restricted updates" risulta già aggiornato
    http://mirror.rosalab.ru/rosa2012.1/repository/i586/main/updates/media_info/synthesis.hdlist.cz
    
        30% di 1060k completato, ETA = 0:00:02, velocità = 314k 
        81% di 1060k completato, ETA = --:--:--, velocità = 526k  
supporto "main32_updates" aggiornato 
il supporto "non-free32_updates" risulta già aggiornato

Then I tried to install
# urpmi lib64kdegames6
I pacchetti glibc-2.15-8-rosa2012.1.x86_64, lib64kdecore5-4.10.5-1-rosa2012.1.x86_64, lib64qtsvg4-4.8.5-6-rosa2012.1.x86_64, lib64kdeui5-4.10.5-1-rosa2012.1.x86_64, lib64knewstuff3_4-4.10.5-1-rosa2012.1.x86_64, lib64openal1-1.15.1-3-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64qtgui4-4.8.5-6-rosa2012.1.x86_64, lib64qtxml4-4.8.5-6-rosa2012.1.x86_64, lib64qtcore4-4.8.5-6-rosa2012.1.x86_64, lib64sndfile1-1.0.25-5-rosa2012.1.x86_64, lib64kio5-4.10.5-1-rosa2012.1.x86_64 sono già installati
    $MIRRORLIST: media/main/updates/lib64kdegames6-4.10.5-1-rosa2012.1.x86_64.rpm
error: /var/cache/urpmi/partial/lib64kdegames6-4.10.5-1-rosa2012.1.x86_64.rpm: Lead: lead magic: BAD, read 3c48544d
Comment 7 Giorgio 2013-10-29 18:43:53 MSK
Same problem today with update to KDE 4.11.
Using GUI update starts but stops few minutes later without any message. In /var/cache/urpmi/rpms/ around 150 files.

Using this command from console
  # urpmi --auto-select --auto
update begin but stops after a while giving an error related to lib64kdegames6.

Removed lib64kdegames6 and started again update from command line it complete update.

In my opinion update with GUI don't works with large update (today I had 320 packets). Works normally with "limited" update.